Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#50 Need installer / upgrader

M8
closed
nobody
None
5
2004-10-01
2002-04-27
nathan hruby
No

A lot of people have bitched about the phpslash install
process. I don't know why, I feel it quite easy :) But
never the less phpslash should have some form of
automated installer / upgrader that does most of the
work for you.

Discussion

  • Logged In: YES
    user_id=511593

    Maybe it's because I have C envy, but I've played around
    with some autoconf scripts so that I only have to go
    configure...make...make install. It's satisfying when it
    works. You're right that its really just a matter of
    copying the files and running a set of database commands,
    but the less typing necessary, the better. :-)

    It got me thinking of a php autoconf that could check your
    functions against your version of php and make sure you
    didn't call anything not defined in your version.

     
  • Joe Stewart
    Joe Stewart
    2004-04-20

    Logged In: YES
    user_id=77269

    web based installer wizard available now.

    no upgrade script now from psl0.7.2 to psl0.8

     
  • Joe Stewart
    Joe Stewart
    2004-10-01

    Logged In: YES
    user_id=77269

    This feature has been added to the CVS. Please update your
    copy of PHPSlash, or wait for the next release.

     
  • Joe Stewart
    Joe Stewart
    2004-10-01

    • milestone: --> M8
    • status: open --> closed